#!/bin/sh

###########################################
#        Plymouth Theme Installer         #
#                  v1.0-2                 #
#           MerlinW 2010.09.03            #
###########################################

#Making backup...
mkdir splashbackup
yes n | sudo cp -i /etc/default/grub ./splashbackup/grub
yes n | sudo cp -i /etc/initramfs-tools/modules ./splashbackup/modules

sudo apt-get install v86d startupmanager plymouth gzip tar
sudo tar xzvf linux-is-sexy.tar.gz -C /lib/plymouth/themes
sudo rm -rf /lib/plymouth/themes/splash.tar.gz

cat /etc/default/grub | grep -v "GRUB_CMDLINE_LINUX_DEFAULT" > grub.new
echo 'GRUB_CMDLINE_LINUX_DEFAULT="quiet splash nomodeset video=uvesafb:mode_option=1280x1024-24,mtrr=3,scroll=ywrap"' >> grub.new
sudo cp -f grub.new /etc/default/grub
rm -f grub.new

cat /etc/default/grub | grep -v "GRUB_GFXMODE" > grub.new
echo 'GRUB_GFXMODE=1280x1024' >> grub.new
sudo cp -f grub.new /etc/default/grub
rm -f grub.new

cat /etc/initramfs-tools/modules | grep -v "vesafb mode" > modules.new
echo 'uvesafb mode_option=1280x1024-24 mtrr=3 scroll=ywrap' >> modules.new
sudo cp -f modules.new /etc/initramfs-tools/modules
rm -f modules.new

sudo update-alternatives --install /lib/plymouth/themes/default.plymouth default.plymouth /lib/plymouth/themes/linux-is-sexy/linsex.plymouth 100
sudo update-alternatives --config default.plymouth

echo FRAMEBUFFER=y | sudo tee /etc/initramfs-tools/conf.d/splash
sudo update-grub2
sudo update-initramfs -u

echo 'you need to reboot the system for the changes!';
